#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ChannelsNotFound {
    #[builder(
        default,
        set(
            item(
                type = super::super::super::super::super::objects::timeseries::channelmetadata::api::ChannelIdentifier
            )
        )
    )]
    #[serde(
        rename = "channels",
        skip_serializing_if = "std::collections::BTreeSet::is_empty",
        default
    )]
    channels: std::collections::BTreeSet<
        super::super::super::super::super::objects::timeseries::channelmetadata::api::ChannelIdentifier,
    >,
}
impl ChannelsNotFound {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn channels(
        &self,
    ) -> &std::collections::BTreeSet<
        super::super::super::super::super::objects::timeseries::channelmetadata::api::ChannelIdentifier,
    > {
        &self.channels
    }
}
impl conjure_error::ErrorType for ChannelsNotFound {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::NotFound
    }
    #[inline]
    fn name() -> &'static str {
        "ChannelMetadata:ChannelsNotFound"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
